List events for a webhook
curl --request GET \
--url https://sandbox.groundtech.co/v2/webhooks/{id}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.groundtech.co/v2/webhooks/{id}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.groundtech.co/v2/webhooks/{id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "73a8e0c9-c20d-4b10-b9a4-0f0ff6b5cb9c",
"registrationId": "6b6a0502-9d38-4f94-83fe-06706adbdc51",
"registration_id": "6b6a0502-9d38-4f94-83fe-06706adbdc51",
"eventType": "portfolio_wallet.withdrawal.status_changed",
"event_type": "portfolio_wallet.withdrawal.status_changed",
"payload": {
"event": "portfolio_wallet.withdrawal.status_changed",
"observedAt": "2026-05-01T17:35:39.000Z",
"withdrawal": {
"id": "a1f9e803-12a1-4f7c-8bb1-30277d1f6574",
"amountRequestedUsd": "65000.000000",
"amountPaidUsd": "65000.000000",
"feeUsd": "0.000000",
"destinationChain": "ethereum",
"destinationAddress": "0x76F8fc6667E239f83a547d4e16225d6a34f6FA22",
"destinationToken": "usdc",
"status": "completed",
"legsCompleted": 1,
"legsTotal": 1,
"payoutLegs": [],
"failureReason": null,
"createdAt": "2026-05-01T17:30:00.000Z",
"completedAt": "2026-05-01T17:35:39.000Z"
}
},
"status": "completed",
"attempt_count": 1,
"delivered_at": "2026-05-01T17:35:41.000Z",
"last_error": null,
"created_at": "2026-05-01T17:35:39.000Z",
"updated_at": "2026-05-01T17:35:41.000Z",
"registration": {
"id": "6b6a0502-9d38-4f94-83fe-06706adbdc51",
"callbackUrl": "https://ops.acme-treasury.com/webhooks/ground"
},
"latestEmission": {
"id": "c177e6a4-2ee3-4ce0-b795-f092cb0e572d",
"attempt_number": 1,
"requested_at": "2026-05-01T17:35:39.000Z",
"completed_at": "2026-05-01T17:35:41.000Z",
"response_status": 200,
"response_ms": 184,
"error_message": null
}
}
],
"nextCursor": null,
"hasMore": false
}
Webhooks
List events for a webhook
Returns a cursor-paginated delivery event feed for one webhook.
GET
/
v2
/
webhooks
/
{id}
/
events
List events for a webhook
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Webhook ID.
Query Parameters
Opaque cursor from the previous page.
Maximum number of events to return.
Required range:
1 <= x <= 100⌘I